您的位置:首页 > 编程语言 > Python开发

安装python包, 还是用pip最好, easy_install该退休了

2015-01-22 20:55 429 查看
今天要在另一台windows xp的机器上装scrapy, 结果, easy_install老是报错, 最多的一个错误就是error: Setup script exited with error: Unable to find vcvarsall.bat

然后, 哪个库装不上, 就下载源码安装, 比如cffi这个模块就装不上, 然后准备下载个exe来装, 就是别人编译好的cffi.exe之类的安装包.

通常情况下, windows下的一些专用的exe安装包, 都是在这个网站下载的: http://www.lfd.uci.edu/~gohlke/pythonlibs/ 打开之后, 按Ctrl+F搜索cffi, 一看傻眼了:

Cffi is a Foreign Function Interface for calling C code.
Requires pycparser.
cffi‑0.8.6‑cp26‑none‑win32.whl
cffi‑0.8.6‑cp26‑none‑win_amd64.whl
cffi‑0.8.6‑cp27‑none‑win32.whl
cffi‑0.8.6‑cp27‑none‑win_amd64.whl
cffi‑0.8.6‑cp32‑none‑win32.whl
cffi‑0.8.6‑cp32‑none‑win_amd64.whl
cffi‑0.8.6‑cp33‑none‑win32.whl
cffi‑0.8.6‑cp33‑none‑win_amd64.whl
cffi‑0.8.6‑cp34‑none‑win32.whl
cffi‑0.8.6‑cp34‑none‑win_amd64.whl


居然没有了exe的安装包了, 全部变成了wheel格式(*.whl), 艹他大爷的. 前几个月还有的!

然后, 不得不开始学习如何安装*.whl格式的python包了.

也很简单, 但是得引入pip来装了

即使用命令: pip install cffi‑0.8.6‑cp27‑none‑win32.whl即可安装你下载的这个包

那么pip是不是能解决 Unable to find vcvarsall.bat 这个问题呢 答案是还是解决不了, 不过, 目前可以直接使用

pip install scrapy

就可以装好scrapy了.
内容来自用户分享和网络整理,不保证内容的准确性,如有侵权内容,可联系管理员处理 点击这里给我发消息
标签: